- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Types | Public Member Functions | Static Public Member Functions | Public Attributes | List of all members
RagTime5GraphInternal::State Struct Reference

Internal: the state of a RagTime5Graph. More...

## Public Types
enum | PictureType { P_Pict, P_Tiff, P_Epsf, P_Jpeg, P_PNG, P_ScreenRep, P_WMF, P_Unknown }
| enum used to defined list of classical pict More...

## Public Member Functions
| State ()
| constructor More...
Shape::Type | getShapeType (int id) const
| try to return a set type More...

## Static Public Member Functions
static PictureType | getPictureType (std::string const &type)
| returns the picture type corresponding to a name More...

## Public Attributes
int | m_numPages
| the number of pages More...
std::vector< int > | m_shapeTypeIdVector
| the vector of shape type id More...

## Detailed Description

Internal: the state of a RagTime5Graph.

## Member Enumeration Documentation

enum RagTime5GraphInternal::State::PictureType

enum used to defined list of classical pict

Enumerator
P_Pict |
P_Tiff |
P_Epsf |
P_Jpeg |
P_PNG |
P_ScreenRep |
P_WMF |
P_Unknown |

## Constructor & Destructor Documentation

RagTime5GraphInternal::State::State | ( |  | ) |
| inline

constructor

## Member Function Documentation

static PictureType RagTime5GraphInternal::State::getPictureType | ( | std::string const & | type | ) |
| inline static

returns the picture type corresponding to a name

Shape::Type RagTime5GraphInternal::State::getShapeType | ( | int | id | ) | const

try to return a set type

## Member Data Documentation

int RagTime5GraphInternal::State::m_numPages

the number of pages

std::vector<int> RagTime5GraphInternal::State::m_shapeTypeIdVector

the vector of shape type id

Referenced by getShapeType().

The documentation for this struct was generated from the following file:

- RagTime5Graph.cxx